<?php
/*---------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_info_panel.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+
| Modified bad_login
| for php-fusion v.7.0.x
| bad_login - ver. 2.0
| Powered by modEx   2008
+--------------------------------------------------------+*/

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!checkrights("IP")) fallback("../../index.php");

if (file_exists(INFUSIONS."bad_login/locale/".$settings['locale'].".php")) {
	include INFUSIONS."bad_login/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."bad_login/locale/English.php";
}


if (isset($_GET['delete']) && is_numeric($_GET['delete'])){
        $query = dbquery("DELETE FROM ".$db_prefix."bad_login WHERE login_id='".$_GET['delete']."'");
        redirect(FUSION_SELF);
} elseif(isset($_GET['lookup']) && is_numeric($_GET['lookup'])){
        $query = dbquery("SELECT * FROM ".$db_prefix."users WHERE user_ip='".$_GET['lookup']."'");
        if(dbrows($query) != 0) {
                opentable(dbrows($query)." Members Found");
                $counter = 0;
                while ($data = dbarray($query)){
                        echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a>";
                        echo "<br />".$data['user_ip'];
                        $counter++;
                        if(dbrows($query) >= 2 && $counter <= dbrows($query)) echo "<br /><br />";
                }
        } else {
                opentable("No results");
                echo $locale['bdl02'];
        }
        closetable();
} else {
        $result = dbquery("SELECT * FROM ".$db_prefix."bad_login");
        opentable("Bad Login");
        if(dbrows($result) != 0){
                echo "<center><table width='500px'><tr><td>";
                echo "<span style='font-weight:bold'>".$locale['bdl03']."</span></td><td><span style='font-weight:bold'>".$locale['bdl04']."</span></td><td><span style='font-weight:bold'>".$locale['bdl05']."</span></td><td><span style='font-weight:bold'>".$locale['bdl06']."</span></td></tr>";
                while($data = dbarray($result)){
                        echo "<tr><td><a href='".FUSION_SELF."?lookup=".$data['login_ip']."'>";
                        echo $data['login_ip']."</a></td>";
                        echo "<td>".ucwords(showdate("%d.%m.%Y %H:%M:%S", $data['login_time']))."</td>";
                        echo "<td>".$data['login_user']."</td>";
                        echo "<td><a href='".FUSION_SELF."?delete=".$data['login_id']."'>".$locale['bdl07']."</a><td></tr>";
                }
                echo "</table></center>";
        } else {
                echo "<center>".$locale['bdl08']."</center>";
        }
        closetable();
}

echo "</td>\n";
require_once THEMES."templates/footer.php";
?>